<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts for Groups, Users and Logs management
$this->headScript()->appendFile('/js/adminTab.js');

$this->headScript()->appendScript($this->variables);

// Add CSS for Administration
$this->headLink ()->appendStylesheet ('/css/admin.css');
$this->headLink ()->appendStylesheet ('/css/config.css');

echo '<h1>'.$translator->translate ('Administration').'</h1>';
echo '<hr>';
echo $this->navbar;
echo '<hr>';

if ($this->permissions && 
    $this->permissions->isAllowed ('Administration', 'view', 'configuration'))
{
    ?>

    <div>
        <h2><?echo $translator->translate ('Date');?></h2>
        <form name="confdate" id="confdate">
        <input type="hidden" name="syncnow" id="syncnow" value="1" />
        <input type="submit" name="bSync" id="bSync" value="<?echo $translator->translate ('Synchronize now');?>" style="float: right;" />
        <p style="padding-top: 10px; padding-bottom: 20px; padding-left: 20px;">
            <?echo $translator->translate ('This page was requested at: ').date ('d/m/Y H:i:s (\U\T\CO)');?>
        </p>
        </form>
        <h2><?echo $translator->translate ('License');?></h2>
        <div style="padding-top: 10px; padding-bottom: 20px; padding-left: 20px;">
          <form name="confdate" id="confdate">
            <input type="hidden" name="licensenow" id="licensenow" value="1" />
            <input type="submit" name="bLic" id="bLic" value="<?echo $translator->translate ('Update now');?>" style="float: right;" />
            <table>
              <tr><td><?echo $translator->translate ('Hostname');?>:</td><td style="font-weight: bold;"><?echo $this->hostname;?></td></tr>
              <tr><td><?echo $translator->translate ('Identifier');?>:</td><td style="font-weight: bold;"><?echo $this->hash;?></td></tr>
              <tr><td><?echo $translator->translate ('Expiration');?>:</td><td style="font-weight: bold;"><?echo $this->expiration;?></td></tr>
            </table>
          </form>
        </div>
        <h2><?echo $translator->translate ('Network');?></h2>
        <form name="configuration" id="configuration">
            <div id="boxL">
                <?echo $translator->translate ("Network status: ");?>
                <div id="net-status">
<?
                  $cmd = popen('/bin/ip addr list dev eth0', 'r');
                  while ($line = fgets($cmd, 512)) {
                    echo "$line<br />\n";
                  }
                  pclose($cmd);

                  echo "$line<br />\n";
                  $cmd = popen('/bin/ip route', 'r');
                  while ($line = fgets($cmd, 512)) {
                    echo "$line<br />\n";
                  }
                  pclose($cmd);

                  echo "$line<br />\n";
                  $cmd = popen('cat /etc/resolv.conf', 'r');
                  while ($line = fgets($cmd, 512)) {
                    echo "$line<br />\n";
                  }
                  pclose($cmd);
?>
                </div>
            </div>
            <div id="boxR">
                <?echo $translator->translate ("File: ");?>/etc/network/interfaces
                <div id="net-status">
                    <textarea name="net-conf" id="net-conf" rows="30">
<?
                        $content = file_get_contents ('/etc/network/interfaces');
                        echo $content;
?>
                    </textarea>
                </div>
                <input type="submit" name="bOk" id="bOk" value="<?echo $translator->translate ('Save');?>" />
                <input type="submit" name="bCancel" id="bCancel" value="<?echo $translator->translate ('Cancel');?>" />
            </div>
        </form>
    </div>

    <?
}
